Subject: bug#41572: 28.0.50; [PATCH] Support plain project marked with file .emacs-project

From: Eli Zaretskii <[email-masked]>
Date: Mon, 28 Nov 2022 13:58:33 +0200

> Date: Sun, 27 Nov 2022 23:41:59 +0200
> Cc: [email-masked], [email-masked], [email-masked],
>  [email-masked], [email-masked], [email-masked],
>  [email-masked], [email-masked], [email-masked],
>  [email-masked], [email-masked], [email-masked]
> From: Dmitry Gutov <[email-masked]>
> 
> >      A directory containing such a marker file or a file matching a marker
> >      pattern will be recognized as the root of a project whose type is
> >      "VC project".
> 
> If you say quote help, it's fine by me.
> 
> > The point of this is to tell that those markers indicate projects whose type
> > just happens to be "VC project".  Otherwise the above could be interpreted
> > that the markers can be used only inside VC projects.
> 
> Sure.
> 
> >> Like the patch also says (and what's given me a pause in the past), that
> >> also makes "VC project" somewhat a misnomer. But I'm not sure what to
> >> call them better
> > How about VC-backed project?
> 
> Is that different?

I don't know.  You asked for alternatives, and that is what I could think
of.

> I would say it might be worse: "VC-backed" sounds 
> like a project that must correspond to a VC repository (be "backed" by it).

It usually is, isn't it?

If it doesn't have to, then we should look for a different name ASAP, one
that doesn't include "VC" at all.

> OTOH a new term we could use would stand for something like: a project 
> type which will recognize the enabled kinds of VC repositories and use 
> their roots as project root, and knows how to use certain VC systems to 
> speed up the fetching of files, and knows about Git submodules, but also 
> recognizes other directories (inside or outside of VC repositories) 
> based on configurable conditions.

If this type of project doesn't have to be "backed by a VCS", then what does
distinguish it from other types of projects?